<?php
if($_COOKIE["nivel"]!="Vendedor"){
	/////header("location: recarga2.php?n=".$_GET["n"]);
}


  include_once '../header.php';
   include_once '../php/config.php';
   $sql3 = mysql_query("select * from tasas where moneda='GOURDE'") or die(mysql_error());
   $tasa_compra = @mysql_result($sql3, 0, "compra");
   $tasa_venta = @mysql_result($sql3, 0, "venta");
	


   $sql4 = mysql_query("select stock from productos where descripcion='".$_GET["n"]."'") or die(mysql_error());
   $balance = @mysql_result($sql4, 0, "stock");

?>

<div class="container" style="background:white; padding:15px">
<center>
<span style="font-size: 25px; font-weight:bolder" class="text-rojo">RECARGAS</span>



<hr>


<div style="border:solid red 2px">
<img src="<?php echo $_GET['n'].'.PNG'?>" style="">
</div>

<hr>
<div class="row">
         <div class="col-xs-3"><b>AGENTE</b></div>
         <div class="col-xs-7">
           <select class="form-control" id="cliente"  onChange="get_cliente(this.value)">

				<option value="" selected></option>
				<?php $sql3 = mysql_query("select * from clientes") or die(mysql_error());  ?>

				<?php while ($r3 = mysql_fetch_array($sql3)) { ?>
				  <option value="<?php echo $r3['nombre'] ?>"><?php echo $r3['nombre']." ".$r3["telefono"]."(".$r3["direccion"].")" ?></option>
				<?php } ?>
				</select>
        <script>
          $(function(){
           /////alert(myUser);
           $('#cliente').select2();
          })
        </script>
        </div>
  </div>
  <hr>
  
  

<b>TELEFONO</b><br>
<input style="font-size:21px; color:blue; font-weight:bolder" type="number" id="numero" onBlur="valida(this.value)">
<br><br>
<input type="hidden" id="balance_anterior" value="<?= $balance?>">
<script>
 function valida(v){
	var n = "<?php echo $_GET['n']?>";
  if(v.length<11){
	alert("Favor verificar el numero de telefono, al parecer faltan digitos");
	$(".btna").hide()
  }else{
	var posicion1 = v.substr(0,3);
	if(posicion1!="509"){
		alert("El formato del numero de telefono digitado esta incorrecto, debe incluir 509 antes");
		$(".btna").hide()
	}else{
		var posicion2 = v.substr(3,2);
		if(n=="digicel"){
			if(posicion2=="31" || posicion2=="34" || posicion2=="36" || posicion2=="37" || posicion2=="38" || posicion2=="39" || posicion2=="44" || posicion2=="45" || posicion2=="46" || posicion2=="47" || posicion2=="48" || posicion2=="49"){
				$(".btna").show();
			}else{
				$(".btna").hide();
				alert("EL NUMERO DE TELEFONO DIGITADO NO ES DE DIGICEL")
			}
		}

		if(n=="natcom"){
			if(posicion2=="32" || posicion2=="33" || posicion2=="35" || posicion2=="41" || posicion2=="42" || posicion2=="43" || posicion2=="55"){
				$(".btna").show();
			}else{
				$(".btna").hide();
				alert("EL NUMERO DE TELEFONO DIGITADO NO ES DE NATCOM")
			}
		}
	}
  }


 }
</script>

<b>MONTO</b><br>
<input style="font-size:21px; color:blue; font-weight:bolder" type="number" id="monto">
<hr>
<a href='#' onClick="confirmar()" class="btn btn-orange btna" ><i class="bi bi-check-circle" id="btnConfirmar"></i><b> ACEPTAR</b></a>



<b><a href='main.php' class="btn btn-rojo" ><i class="bi bi-chevron-double-left"></i><b> VOLVER ATRAS</b></a>
<hr> 
<a href="#" onClick="ultimas_recargas()"> Ver ultimas recargas</a> | <a href="#" onClick="get_ultimo()"> Reimprimir</a></b>

</center>.


<!---Modal conformar-->
<div class="modal" id="modalConfirmar" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> CONFIRME NUMERO DE TELEFONO</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-4">
           

          </div>

          <div class="col-md-12">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder" placeholder="Confirme el numero" type="number" id="numero2">
       
          </div>



        </div>

      </div>
      <div class="modal-footer">
        <a class="btn btn-verde" data-dismiss="modal" onclick="grabar()" id="btngrabar"> <i class="bi bi-check-circle"></i> Confirmar</a>
		<a class="btn btn-default" data-dismiss="modal"> <i class="bi bi-chevron-double-left"></i> Cancelar</a>
      </div>
    </div>
  </div>
</div>


<div id="recibo1" style="display:none">

</div>
</div>

<script>
$(function(){
	$('#cliente').val(myUser).trigger('change.select2');
	$('#cliente').prop("disabled", true);
});

function balanceAcliente(id){
				
   	var tasa_compra	= "<?php echo $tasa_compra?>";
	var tasa_venta	= "<?php echo $tasa_venta?>";
	var dif_tasa = tasa_compra - tasa_venta;

	
	
	
    var cliente = $("#cliente").val();
	var monto = $("#monto").val();
	var compania = "<?php echo $_GET['n']?>"
    
	var ganancia = monto * dif_tasa / 100;
    var ganancia_cliente = monto * comision_cliente/100
	
	 
	if(cliente==""){
		alert("Elija un agente");
		return;
	}
	
	if(monto<=0 || monto==""){
		alert("Monto incorrecto");
		return;
	}
	
	var montoGourde = parseFloat((monto * tasa_venta / 100)) + parseFloat(monto);
	
	var param = "cliente="+cliente;
	    param+="&monto="+monto;
	    param+="&montoGourde="+montoGourde;
      param+="&desde='Callcenter'";
		param+="&compania="+compania;
		param+="&id="+id;
		////param+="&ganancia_cliente="+ganancia_cliente;
		param+="&tipo='recarga'";
		
		
	 $.get("balanceAcliente.php?"+param, function(data, st){
		 if(st=="success"){
			
		
			     movimiento_producto(id);
		
		 }
	 })
}




function confirmar(){
	var numero1 = $("#numero").val()
	var numero2 = $("#numero2").val()
	var monto = $("#monto").val()
	
	if(monto==""){monto=0;}
	if(monto<=0){alert("Monto invalido");return;}
	if(numero==""){alert("Numero de telefono invalido");return;}
	
	$("#modalConfirmar").modal('show');
	$("#numero2").focus();
	$("#numero2").select();
	
	
}

  function grabar(){
  if(!confirm("Seguro(a) que desea registrar esta recarga?")){return;}

   

  var cliente = $("#cliente").val()
     var numero = $("#numero").val();
	 var numero2 = $("#numero2").val();
     var monto = $("#monto").val();
    var tipo = "<?php echo $_GET['n']?>";
	
     if(numero2!=numero){
		alert("Nuemro de confirmacion no coincide con telefono!");
		return;
	}
  

	$("#btngrabar").hide()
	$("#btnConfirmar").hide()

    var tasa_compra	= "<?php echo $tasa_compra?>";
	var tasa_venta	= "<?php echo $tasa_venta?>";
	var dif_tasa = tasa_compra - tasa_venta;
	var ganancia = monto * dif_tasa;
    var ganancia_cliente = ganancia * comision_cliente / 100
    var beneficio =  ganancia - ganancia_cliente;
	
	

    var sql="";
       
            sql="INSERT INTO recargas set ";
            sql+=" fecha=CURDATE()";
            sql+=", hora=CURTIME()";
            sql+=", telefono='"+numero+"'";
			sql+=", monto='"+monto+"'";
			sql+=", compania='"+tipo+"'";
			sql+=", tipo='recarga'";
			sql+=", beneficio='"+ganancia+"'";
			sql+=", usuario='"+myUser+"'";
			
			sql+=", estado=''";
			sql+=", vendedor='"+cliente+"'";
			///sql+=", actualizacion='Remesa realizada y validada por '";
			
		

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
		  
	           
               get_ultimo();

      }else{
          alert(data);

      }

    })
}





function get_ultimo(){
	  var sql="select * from recargas where usuario='"+ myUser +"' order by id desc limit 1";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
                for( var i in rs.data){         
                    var id = rs.data[i].id;
					balanceAcliente(id);
			  

                  }
            })
}


var comision_cliente = 0;
function get_cliente(c){
	  var sql="select * from clientes where nombre='"+ c +"'";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
                for( var i in rs.data){         
                    var id = rs.data[i].id;
			       comision_cliente = rs.data[i].comision;
				  

                  }
            })
}




function imprimir(id){
		$.get("recibo.php?id="+id,function(data,st){
		if(st=="success"){
		
			$("#recibo1").html(data);
			window.location='printerplus://send?text='+document.getElementById('recibo').innerHTML;
			 $("input[type='number']").val("") 

			///alert("pago registrado RD$: "+total);
			///window.location.reload();
			
	$("#btngrabar").show()
	$("#btnConfirmar").show()

		}
	})
}






function movimiento_producto(id){

	var tasa_venta = "<?php echo $tasa_venta?>";
    var producto = "<?php echo $_GET['n']?>";

    var costo = $("#monto").val()
    var total = costo * tasa_venta /100;
     total  = parseFloat(costo) + parseFloat(total);
    var cliente = $("#cliente").val()
    var balance_anterior = $("#balance_anterior").val()
    if(balance_anterior==""){balance_anterior = 0;}

    var balance_actual = parseFloat(balance_anterior) - parseFloat(total);

    
      if(costo==""){costo = 0;}
     if(total==""){total = 0;}
     

    var sql="";
    sql="insert into movimiento_producto set fecha=CURDATE(), hora=CURTIME(), balance_anterior='"+ balance_anterior +"', debito='"+ total +"', credito=0, operacion='Recarga', cliente='"+ cliente +"', usuario='"+ myUser+"', balance_actual='"+balance_actual+"', pesos='"+ costo +"', producto='"+producto+"'";


    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data==1){
        ////$("#modalcobrador").modal('hide');
		
       imprimir(id)
        /////window.location.reload();
  
      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
}



</script>
